#
# spec file for package plasma5-desktop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.26.0

%bcond_without lang
Name:           plasma5-desktop
Version:        5.12.8
Release:        lp150.8.1
# Full Plasma 5 version (e.g. 5.9.3)
%{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
# Lasted ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.3 in KUF)
%{!?_plasma5_version: %global _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         https://download.kde.org/stable/plasma/%{version}/plasma-desktop-%{version}.tar.xz
# PATCH-FIX-OPENSUSE
Patch1:         0001-Use-themed-user-face-icon-in-kickoff.patch
# PATCHES 100-200 and above are from upstream 5.12 branch
# PATCHES 201-300 and above are from upstream master/5.13 branch
Patch201:       0001-Place-toolbox-in-the-top-right-corner-of-the-screen.patch
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  extra-cmake-modules >= 1.8.0
BuildRequires:  fdupes
BuildRequires:  glib2-devel
BuildRequires:  kf5-filesystem
BuildRequires:  libpulse-devel
BuildRequires:  phonon4qt5-devel >= 4.6.60
BuildRequires:  update-desktop-files
BuildRequires:  xz
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
BuildRequires:  cmake(AppStreamQt) >= 0.10.4
%endif
BuildRequires:  cmake(KDED) >= %{kf5_version}
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5ActivitiesStats) >= %{kf5_version}
BuildRequires:  cmake(KF5Attica) >= %{kf5_version}
BuildRequires:  cmake(KF5Auth) >= %{kf5_version}
BuildRequires:  cmake(KF5Baloo) >= %{kf5_version}
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5DocTools) >= %{kf5_version}
BuildRequires:  cmake(KF5Emoticons)
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version}
BuildRequires:  cmake(KF5KDELibs4Support) >= %{kf5_version}
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version}
BuildRequires:  cmake(KF5Notifications) >= %{kf5_version}
BuildRequires:  cmake(KF5NotifyConfig) >= %{kf5_version}
BuildRequires:  cmake(KF5People) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick) >= %{kf5_version}
BuildRequires:  cmake(KF5Runner) >= %{kf5_version}
BuildRequires:  cmake(KF5Wallet) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(KRunnerAppDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(KSMServerDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(KWinDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(LibKWorkspace) >= %{_plasma5_bugfix}
BuildRequires:  cmake(LibTaskManager) >= %{_plasma5_version}
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Qml) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Sql) >= 5.4.0
BuildRequires:  cmake(Qt5Svg) >= 5.4.0
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.4.0
BuildRequires:  cmake(ScreenSaverDBusInterface) >= %{_plasma5_version}
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xorg-evdev)
BuildRequires:  pkgconfig(xorg-libinput)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xorg-synaptics)
%ifarch %arm aarch64
BuildRequires:  pkgconfig(glesv2)
%else
BuildRequires:  pkgconfig(gl)
%endif
#BuildRequires:  pkgconfig(xrender)
BuildRequires:  breeze5-icons
BuildRequires:  xkeyboard-config
# Includes some plugins for kpackage needed during build
BuildRequires:  plasma5-workspace >= %{_plasma5_bugfix}
Requires:       %{name}-branding = %{version}
Requires:       libqt5-qtgraphicaleffects
Requires:       plasma5-workspace >= %{_plasma5_bugfix}
# hardcode versions of plasma-framework-componets and plasma-framework-private packages, as upstream doesn't keep backwards compability there
%requires_ge plasma-framework-components
%requires_ge plasma-framework-private
Requires:       kde-user-manager
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Requires:       kinfocenter5
Requires:       kmenuedit5
Requires:       ksysguard5
%endif
# needed for the ActivityManager
Requires:       kactivities5-imports
Conflicts:      kactivities5 < 5.20.0
Recommends:     plasma5-addons
%if %{with lang}
Recommends:     %{name}-lang
%endif
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Provides:       kdebase4-workspace = 5.3.0
Obsoletes:      kdebase4-workspace < 5.3.0
Provides:       kcm-touchpad = %{version}
Obsoletes:      kcm-touchpad < %{version}
Provides:       kdebase4-workspace-plasma-calendar = %{version}
Obsoletes:      kdebase4-workspace-plasma-calendar < %{version}
Provides:       kdebase4-workspace-plasma-engine-akonadi = %{version}
Obsoletes:      kdebase4-workspace-plasma-engine-akonadi < %{version}
%else
Conflicts:      kdebase4-workspace
Conflicts:      kcm-touchpad
%endif
Conflicts:      kio-extras5 <= 5.3.2
Provides:       kcm-touchpad5 = %{version}
Obsoletes:      kcm-touchpad5 < %{version}
Provides:       %{name}-branding = %{version}
Provides:       %{name}-branding-upstream = %{version}
Obsoletes:      %{name}-branding-upstream < %{version}
Provides:       plasma5-addons-kimpanel = %{version}
Obsoletes:      plasma5-addons-kimpanel < %{version}
Provides:       %{name}-kimpanel = %{version}
Obsoletes:      %{name}-kimpanel < %{version}
Obsoletes:      synaptiks
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic packages for a Plasma workspace.

%lang_package
%prep
%setup -q -n plasma-desktop-%{version}
%autopatch -p1

# Workaround for boo#1038368
sed -i"" "s/Name=Desktop/Name=Desktop Containment/g" containments/desktop/package/metadata.desktop

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
  %kf5_find_htmldocs
%endif

  # Copy the icon for kcolorschemeeditor.desktop
  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps
  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/preferences
  if [ -f %{_kf5_iconsdir}/breeze/apps/32/preferences-desktop-color.svg ]; then
      cp %{_kf5_iconsdir}/breeze/apps/32/preferences-desktop-color.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/
  else
      cp %{_kf5_iconsdir}/breeze/preferences/32/preferences-desktop-color.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/preferences/
  fi

  # remove empty/invalid appstream xml files. kpackagetool5 generates invalid files sometimes...
  # remove this once kpackagetool5 is fixed
  find %{buildroot}%{_kf5_appstreamdir} -type f -size 0 -print -delete

  # no devel files needed here
  rm -rfv %{buildroot}%{_kf5_sharedir}/dbus-1/interfaces/
  %fdupes %{buildroot}/%{_prefix}

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.fontinst.conf
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%config %{_kf5_configdir}/colorschemes.knsrc
%config %{_kf5_configdir}/emoticons.knsrc
%config %{_kf5_configdir}/icons.knsrc
%config %{_kf5_configdir}/kfontinst.knsrc
%config %{_kf5_configdir}/plasma-themes.knsrc
%config %{_kf5_configdir}/lookandfeel.knsrc
%config %{_kf5_configdir}/xcursor.knsrc
%{_kf5_bindir}/kaccess
%{_kf5_bindir}/kapplymousetheme
%{_kf5_bindir}/kfontinst
%{_kf5_bindir}/kfontview
%{_kf5_bindir}/knetattach
%{_kf5_bindir}/krdb
%{_kf5_bindir}/kcm-touchpad-list-devices
%{_kf5_bindir}/solid-action-desktop-gen
%{_kf5_bindir}/lookandfeeltool
%{_kf5_bindir}/kcolorschemeeditor
%{_kf5_libdir}/kconf_update_bin/krdb_clearlibrarypath
%{_kf5_libdir}/libexec/
%{_kf5_libdir}/libkdeinit5_kaccess.so
%exclude %{_kf5_libdir}/libkfontinst.so
%{_kf5_libdir}/libkfontinst.so.*
%exclude %{_kf5_libdir}/libkfontinstui.so
%{_kf5_libdir}/libkfontinstui.so.*
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.kfontview.desktop
%{_kf5_applicationsdir}/org.kde.knetattach.desktop
%{_kf5_applicationsdir}/org.kde.kcolorschemeeditor.desktop
%{_kf5_sharedir}/dbus-1/services/org.kde.fontinst.service
%{_kf5_sharedir}/dbus-1/system-services/org.kde.fontinst.service
%{_kf5_sharedir}/dbus-1/system-services/org.kde.kcontrol.kcmclock.service
%{_kf5_sharedir}/polkit-1/actions/org.kde.fontinst.policy
%{_kf5_sharedir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/*/
%dir %{_kf5_iconsdir}/hicolor/*/
%dir %{_kf5_iconsdir}/hicolor/*/*/
%{_kf5_iconsdir}/hicolor/*/*/*.*
%{_kf5_configkcfgdir}/
%{_kf5_sharedir}/kcm_componentchooser/
%{_kf5_sharedir}/kcm_phonon/
%{_kf5_sharedir}/kcmkeys/
%{_kf5_sharedir}/kcmsolidactions/
%{_kf5_sharedir}/kconf_update/
%{_kf5_sharedir}/kcontrol/
%{_kf5_sharedir}/kdisplay/
%{_kf5_sharedir}/kfontinst/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_sharedir}/kpackage/
%{_kf5_sharedir}/kcmkeyboard/
%{_kf5_sharedir}/kcminput/
%{_kf5_sharedir}/color-schemes/
%{_kf5_notifydir}/
%{_kf5_sharedir}/konqsidebartng/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_datadir}/
%{_kf5_sharedir}/solid/
%{_kf5_plasmadir}/
%{_kf5_appstreamdir}/
%{_kf5_libdir}/libexec/kimpanel-ibus-panel
%{_kf5_qmldir}/org/kde/plasma/private/kimpanel/
%{_kf5_servicesdir}/*kimpanel*
%{_kf5_plasmadir}/services/kimpanel.operations
%{_kf5_plasmadir}/plasmoids/org.kde.plasma.kimpanel/
%{_kf5_plugindir}/plasma/dataengine/plasma_engine_kimpanel.so

%if %{with lang}
%files lang -f %{name}.lang
%endif

%changelog
* Tue Mar  5 2019 fabian@ritter-vogt.de
- Update to 5.12.8
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
  * [Kickoff] Return Kickoff to Favorites page after running a search
  * Use Dialog's visibility directly rather than relying on the mainItem's
  * Fix new file creation leading to dupe items on a fresh view (kde#401023)
  * Check icon positions after move (kde#402574)
  * Defer initial positions apply until listing is complete (kde#354802)
  * [KRDB] Also try wildcard tooltip (kde#355540)
  * [KRDB] Write correct tooltip colors into gtkrc in kcminit
  * [Date & Time KCM] Fix clock display with fractional scale factor (kde#396936)
  * Add an X-DocPath link to the Activities KCM
  * [Activities KCM] Fix patch to not delete default activity (kde#397887)
  * [Activities KCM] Disable delete button when there's only one activity (kde#397887)
  * [Activities KCM] vertically center the buttons
  * Make accessibility warning dialog usable again
  * Round label width
  * [Folder View] implement a minimum width for icon view to ensure that labels are never rendered useless (kde#379432)
  * Fix group popup dialog (kde#401508)
  * [Folder View] improve label contrast against challenging backgrounds (kde#361228)
  * [Componentchooser KCM] Make default browser app choice work even when combobox is not used (kde#350663)
  * Fix dismissing the Dashboard by clicking inbetween multi-grid categories. (kde#400720)
  * Revert unintended line
  * Compress calls to `updateSize` (kde#400364)
  * Remove.
  * Focus handling fixes (kde#399566)
  * [Kicker] Rename id column to itemColumn
  * Add accessibility information to desktop icons
  * Fix initial focus (kde#399185)
  * [Folder View] Don't spawn multiple stat jobs for the same folder
  * Fix drop between shared views
- Refresh 0001-Place-toolbox-in-the-top-right-corner-of-the-screen.patch
* Thu Oct 18 2018 Michal Suchanek <msuchanek@suse.de>
- Bump memory requirement on ppc64 - builds randomly fail.
* Tue Sep 25 2018 fabian@ritter-vogt.de
- Update to 5.12.7
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.7.php
- Changes since 5.12.6:
  * Improve arrow key navigation of Kicker search results (kde#397779)
  * Don't use older buggier versions of AppStream Qt
  * Revert "Fix bad model hygiene in Positioner::move()"
  * [Style KCM] Use "configure" icon (kde#397358)
  * fontinst quits after KJob is done (kde#379524,kde#379324,kde#349673,kde#361960,kde#392267)
  * [Desktop Toolbox] Emit contextualActionsAboutToShow before opening (kde#384862)
  * Fix bad model hygiene in Positioner::move() (kde#396666)
  * [Folder View] Improve file name text rendering
  * Give file and folder names a bit more room in Folder View
  * [Kicker] Use KFilePlaces::convertedUrl for ComputerModel (kde#363337)
  * Fix crash on post-initial refresh()
- Remove patches, now upstream:
  * fontinst-quits-after-KJob-is-done.patch
- Refresh 0001-Place-toolbox-in-the-top-right-corner-of-the-screen.patch
* Wed Aug 22 2018 fabian@ritter-vogt.de
- Update to 5.12.6 (boo#1105686)
* Tue Jul 31 2018 wbauer@tmo.at
- Add fontinst-quits-after-KJob-is-done.patch to fix problems when
  installing/removing multiple fonts system-wide at once
  (kde#379524, kde#379324, kde#349673, kde#361960, kde#392267)
* Wed Jun 27 2018 fabian@ritter-vogt.de
- Update to 5.12.6
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.6.php
- Too many changes to list here
- Remove patches, now upstream:
  * 0001-Fix-submenus-not-updating-when-switching-between-cat.patch
- Refresh patches:
  * 0001-Use-themed-user-face-icon-in-kickoff.patch
* Wed May  9 2018 fabian@ritter-vogt.de
- Add patch to fix display of certain submenus in kicker (kde#394013):
  * 0001-Fix-submenus-not-updating-when-switching-between-cat.patch
* Wed May  2 2018 fabian@ritter-vogt.de
- Update to 5.12.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
  * [Desktop Theme KCM] Workaround bug in FileDialog
  * FunnelModel: fix invalid model API usage.
  * [Window List] Show pin icon only when in panel (kde#391145)
  * Make automounting work even if StorageAccess is ignored (kde#389479)
  * [Folder View] Set shortcut on plasmoid.action (kde#392730)
  * [Folder View] Use KStandardAction for rename, delete, and trash
  * [Folder View] Simplify clearing of lists
  * [Folder View] Update "Empty Trash" enabled state for files inside Trash and links to Trash (kde#392738)
  * [System Model] Support actions
  * Do clamping in the model and add missing lower bound check (kde#390888)
- Remove patches, now upstream:
  * Make-automounting-work-even-if-StorageAccess-is-ignored.patch
* Mon Apr  9 2018 wbauer@tmo.at
- Add Make-automounting-work-even-if-StorageAccess-is-ignored.patch
  to fix Auto-mounting not working in some cases (kde#389479)
* Tue Mar 27 2018 fabian@ritter-vogt.de
- Update to 5.12.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
  * [Folder View] Fix selecting text with Shift+Home/End (kde#392318)
  * Make Select/Deselect All operate on the filtered rows.
  * Remove long-time deprecated Encoding=UTF-8 from desktop format files
  * [touchpad kded] Work around kded fail on X-KDE-OnlyShowOnQtPlatforms lists
  * [Touchpad KCM] Sync values to UI on Defaults in Wayland session (kde#392029)
  * [Workspace Options KCM] sync() after writing settings
  * bad textarea width for rename file if filename too short (kde#386546)
  * Fix scrollbar on empty search results (kde#391644)
  * kimpanel: Fix the window positioning when plasma uses native-qt scaling.
  * Load correct wallpaper plugin configuration in the dialog
  * Don't skip certain recent documents in kicker and taskmanager
  * Improve multi-desktop folderview behavior (kde#390676)
  * Use QUrl in the ScreenMapper API
  * use opacity instead of visible (kde#391432)
* Tue Mar  6 2018 fabian@ritter-vogt.de
- Update to 5.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.3.php
- Changes since 5.12.2:
  * [kaccess] Improve the port away from kdelibs4support
  * [taskmanager applet] Disable MPRIS Stop entry in context menu if stopped
  * [taskmanager applet] Fix MPRIS entries in context menu for CanPause==false
  * [taskmanager applet] Fix MPRIS buttons in tooltip for CanPause==false
  * Prevent duplicate entries in the Baloo kcm folders list.
  * Improve detecting D&D between two screen showing the same URL
  * [Task Manager] Limit badge label to a sane size
* Thu Mar  1 2018 fabian@ritter-vogt.de
- Backport upstream commit to move the toolbox away from the desktop icons:
  * 0001-Place-toolbox-in-the-top-right-corner-of-the-screen.patch
* Wed Feb 21 2018 lbeltrame@kde.org
- Update to 5.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
  * Disable positioning in popup folderviews
  * [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version, v2
  * Revert "[lookandfeel kcm] Do not declare plugin in lookandfeeltool code version"
  * Keep item highlighted when context menu opens
  * [Look and feel KCM] Fix copying color scheme data
  * Unbreak DND.
  * [Application Dashboard] Fix erroneously using Plasma icons for applications (kde#390353)
  * [Kickoff] Enable smooth scaling for icon
  * Workaround the touchpad toggle button not working
  * [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version
  * Fix launching by touchscreen tap (kde#366527)
  * Fix window pin not showing (kde#390428)
* Tue Feb 13 2018 fabian@ritter-vogt.de
- Update to 5.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.1.php
- Changes since 5.12.0:
  * Implement Tab/Backtab navigation (kde#387316)
  * [touchpad kcm] No KLocalizedString::setApplicationDomain() in kded plugin
  * [knetattach] Fix i18n calls being made before QApp creation
  * [Mouse KCM] Check libinput Atom availability before using them (kde#389978)
  * [Task Manager] Use KFilePlacesModel::isHidden
  * Improve preview thumbnail quality (kde#376848)
  * minor optimization: use reserve()
  * [kwin & plasma-desktop runners] add missing TRANSLATION_DOMAIN definition
  * Fix kded5 startup warning:
  * Fix warnings in kded5 startup, due to i18n("")
  * Require KDE Frameworks 5.42
* Fri Feb  2 2018 fabian@ritter-vogt.de
- Update to 5.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.0.php
- Changes since 5.11.95:
  * Require KDE Frameworks 5.42
  * fix applying color effects of the theme
  * Fix iterator
  * [Look and feel KCM] Destroy and recreate GHNS button when palette changes (kde#389351)
  * [Look and feel KCM] Keep cursor size when applying theme
  * [Look and feel KCM] Sync color group after copying over color file values (kde#370162)
  * Remove QT_VERSION checks
  * Bump Qt version to 5.9
  * Make sure the search result that Return will run is highlighted
  * Don't close plasmoid when closing a subdialog (kde#388669)
  * Fix missing action arguments. (kde#389234)
  * [Folder View] Don't trash local files
  * [Style KCM] Sync KConfig before announcing change
* Mon Jan 15 2018 fabian@ritter-vogt.de
- Update to 5.11.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.95.php
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Support-font-ttf-and-font-otf-mimetypes-in-kfontinst.patch
  * 0001-Folder-View-Accept-mouse-events-if-we-handled-them.patch
* Fri Jan 12 2018 fabian@ritter-vogt.de
- Add patch to fix generation of font previews:
  * 0001-Support-font-ttf-and-font-otf-mimetypes-in-kfontinst.patch
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Update to 5.11.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.5.php
- Changes since 5.11.4:
  * Don't show "Edit Application..." action for non-app services. (kde#388340)
  * Use automoc keyword for kimpanel-scim-panel
  * [Folder View] Show "Widgets unlocked" help only for containment (kde#387589)
* Sun Dec 17 2017 fabian@ritter-vogt.de
- Add patch to fix issue appearing with Qt 5.10 (kde#387199):
  * 0001-Folder-View-Accept-mouse-events-if-we-handled-them.patch
* Thu Nov 30 2017 fabian@ritter-vogt.de
- Update to 5.11.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.4.php
- Changes since 5.11.3:
  * Fix crash in KAStatsFavouritesModel (kde#386439)
  * Be more explicit about Qt5::Widgets dependencies
* Tue Nov  7 2017 fabian@ritter-vogt.de
- Update to 5.11.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.3.php
- Changes since 5.11.2:
  * Default X font DPI to 96 on wayland
* Tue Oct 24 2017 fabian@ritter-vogt.de
- Update to 5.11.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.2.php
- Changes since 5.11.1:
  * Default X font DPI to 96 on wayland
  * kcm baloo: Fix extraction of folder basename for error message
* Sat Oct 21 2017 fabian@ritter-vogt.de
- Add #!BuildIgnore to break the
  plasma5-workspace-devel -> plasma5-workspace -> kwin5 -> kdialog
  dep chain which results in pulling in kdebase4-runtime on 42.2
* Tue Oct 17 2017 fabian@ritter-vogt.de
- Update to 5.11.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.1.php
- Changes since 5.11.0:
  * [Task Manager] Understand applications: URLs in Unity launchers (kde#385730)
  * kimpanel: we don't change text color in new implementation. remove used code.
  * Fix QFile::copy warning when the colors file doesn't exist
  * Fix editing items in SimpleFavoritesModel (kde#385463)
  * Use correct .desktop file name when setting KMail as default
- Remove patches, now upstream:
  * 0001-Fix-editing-items-in-SimpleFavoritesModel.patch
* Sun Oct  8 2017 fabian@ritter-vogt.de
- Add patch to fix editing of system icons in the runner favorite area:
  * 0001-Fix-editing-items-in-SimpleFavoritesModel.patch
* Thu Oct  5 2017 fabian@ritter-vogt.de
- Update to 5.11.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.0.php
- Changes since 5.10.95:
  * kimpanel: Wrap everything in an item for PlasmaCore.Dialog
  * kimpanel: another try to workaround kimpanel window not getting updated issue.
  * Error out if the device returns a negative number of buttons
  * Sync XRDB DPI to the platform specific setting
  * Use a different key for font DPI on X and Wayland
* Thu Sep 14 2017 fabian@ritter-vogt.de
- Update to 5.10.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * fix-writing-Qt4-font-settings.patch
* Tue Aug 22 2017 fabian@ritter-vogt.de
- Update to 5.10.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.5.php
- Changes since 5.10.4:
  * Set focus in this FocusScope. (kde#383667)
  * Compress size hint changes before releasing position and repositioning item. (kde#382759)
  * Update size hints less often.
  * Fix up botched patch.
  * Disable bouncy scrolling.
  * [Folder View] Don't process mime data if immutable (kde#383371)
  * Fix group dialog no longer resizing/closing as windows are closed and the group is dissolved (kde#382638)
  * Prefer using https for kns providers
  * kimpanel: Reduce the inputpanel flicker.
  * kimpanel: backport two commit not on 5.10 branch.
* Tue Jul 18 2017 fabian@ritter-vogt.de
- Update to 5.10.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.4.php
- Changes since 5.10.3:
  * don't define behaviors for the same properies in 2 places
  * kimpanel: use visualParent to correctly position the popup menu
  * [Task Manager] Fix icon size in launcher tooltips (kde#380432)
  * Fix crash in KCMKeyboardWidget::populateWithCurrentXkbOptions on Wayland
  * Backport fix from e5df3ded85c94f0a33afe12b18e6afad96f12639.
* Sat Jul  1 2017 wbauer@tmo.at
- Add fix-writing-Qt4-font-settings.patch to fix syncing back the
  configured general font to Qt4's config on login (kde#378262)
* Tue Jun 27 2017 fabian@ritter-vogt.de
- Update to 5.10.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.3.php
- Changes since 5.10.2:
  * Fix clicking outside of preview popups to dismiss them corrupting mouse state (kde#380982)
  * Fix crashes with 'Drag me' in touchpad test area (kde#346900,kde#366113)
  * Fix DND onto Task Manager for groups, group dialog scrollbar (kde#379888,kde#379037)
  * Remove implicit use of QtQml in Qt 5.7 (kde#380240)
* Tue Jun 13 2017 fabian@ritter-vogt.de
- Update to 5.10.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.2.php
- Changes since 5.10.1:
  * Fix warning: Typo in enum notation.
  * Fix warning: Not all models implement AppPid.
  * Fix warning: x has no RESET, and this is unnecessary.
* Tue Jun  6 2017 fabian@ritter-vogt.de
- Update to 5.10.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.1.php
- Changes since 5.10.0:
  * Set 5.7 as minimum Qt version as it will not compile with anything less
  * Disable session restoration in kaccess
  * Force KAccess to run under XCB (kde#372597)
  * [Folder View] Use a copy of QMimeData in signal handler (kde#380806)
  * Add missing semicolon.
  * React to changes in the size hint. (kde#378443)
  * add session and power mgmt runners to kickoff
- Remove patches, now upstream:
  * 0001-Folder-View-Use-a-copy-of-QMimeData-in-signal-handle.patch
* Sun Jun  4 2017 fabian@ritter-vogt.de
- Add upstream patch to fix crash with upcoming kdeclarative 5.35:
  * 0001-Folder-View-Use-a-copy-of-QMimeData-in-signal-handle.patch
* Sat Jun  3 2017 fabian@ritter-vogt.de
- Add workaround for boo#1038368:
  * Rename org.kde.desktopcontainment to "Desktop Containment"
    to not conflict with "Desktop" provided by org.kde.plasma.desktop
* Fri May 26 2017 fabian@ritter-vogt.de
- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Only defer initial refresh when actually instanciated from QML. (kde#379783)
  * enable edge resize only when the applet handle is open
  * Implement the new panel icon size ceiling also for Input Method Panel. (kde#378443)
  * Implement the new panel icon size ceiling also for Activities. (kde#378443)
  * Implement the new panel icon size ceiling also for Kickoff. (kde#378443)
  * fix editing of "current" color scheme
  * Fix race condition in spring-loading timer management.
  * Fix a bunch of reference errors introduced in 1aec30d9.
  * Clear selection when opening desktop context menu.
* Thu May 11 2017 fabian@ritter-vogt.de
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * 0001-kcm_baloofile-Add-option-to-disable-file-content-ind.patch
  * 0001-Fix-new-checkbox-for-file-content-indexing-in-kcm_ba.patch
* Tue Apr 25 2017 lbeltrame@kde.org
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
  * Too many changes to list here
* Wed Apr 19 2017 fabian@ritter-vogt.de
- Add upstreamed patch to fix the apply button on the file content
  indexing option (boo#1034800):
  * 0001-Fix-new-checkbox-for-file-content-indexing-in-kcm_ba.patch
* Wed Apr 12 2017 fabian@ritter-vogt.de
- Add upstreamed patch to allow switching off baloo content indexing:
  * 0001-kcm_baloofile-Add-option-to-disable-file-content-ind.patch
* Sat Apr  8 2017 fabian@ritter-vogt.de
- Remove empty files in %%_kf5_appstreamdir
* Tue Mar 21 2017 fabian@ritter-vogt.de
- Update to 5.9.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.4.php
- Changes since 5.9.3:
  * [Kicker] Fix highlighting favorites
  * Fix invalid reference of toolTipArea.
  * [Folder View] Explicitly set prefix as empty in normal state (kde#377441)
  * Do apply margin if in right-to-left mode. (kde#376529)
  * [AppletAppearance] Silence warning
  * [Folder View] Fix action button hover and pressed state
  * Disable editing of 'Global Shortcuts' component names (kde#376935)
  * Remove accidentally commited .directory file
  * Fix switching categories via the filter listview on touchscreens.
- Remove patches, now upstream:
  * 0001-Folder-View-Explicitly-set-prefix-as-empty-in-normal.patch
* Sat Mar 18 2017 fabian@ritter-vogt.de
- Add patch to workaround non-themed placeholder face icon in kickoff:
  * 0001-Use-themed-user-face-icon-in-kickoff.patch
* Fri Mar 10 2017 fabian@ritter-vogt.de
- Add patch to fix hovering folder view items with KDE Frameworks >= 5.32:
  * 0001-Folder-View-Explicitly-set-prefix-as-empty-in-normal.patch
* Tue Feb 28 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.3.php
- Changes since 5.9.2:
  * [tooltips] Limit tooltip title to one line
  * Add an option to limit the number of text lines in task buttons.
  * Make the hover state optional.
  * Make the hover state optional.
  * Fix default fixed font in fonts kcm
  * Avoid capturing MenuItem instead determine checked state from toggled signal
  * Set root.dragging to false during reset.
  * Revert "Revert "use KPluginMetaData::readStringList""
  * Revert "use KPluginMetaData::readStringList"
  * Use icon center for vertical hitscan on drop.
  * Don't pin during reordering by DND.
  * Revert "remove get new looks button from 5.8"
  * remove get new looks button from 5.8
- Remove patches, now upstream:
  * 0001-Don-t-pin-during-reordering-by-DND.patch
* Mon Feb 20 2017 fabian@ritter-vogt.de
- Add patch to fix regression in 5.9.2:
  * 0001-Don-t-pin-during-reordering-by-DND.patch
* Sat Feb 18 2017 fabian@ritter-vogt.de
- Add BuildRequires: plasma5-workspace to fix generation of package
  metadata (needed in :LTS, apparently already pulled in by something else here)
* Tue Feb 14 2017 fabian@ritter-vogt.de
- Update to 5.9.2
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
  * Fix crash when invoking Present Windows with the group dialog open.
  * Fix crash when invoking Present Windows with the group dialog open.
  * [Folder View] Don't show script execution prompt on desktop:/
  * Use proper version for baloo
  * [Folder View] Don't show script execution prompt on desktop:/
  * [Folder View] Support extracting files to sub-directories with drag and drop from Ark
  * fix discover desktopid in favorties
  * [ContextMenu] Ungrab mouse in taskmanager
  * [taskmanager] Uniform tasmanager tooltips to systray ones
  * [ContextMenu] Ungrab mouse in taskmanager
  * [Task Manager] Don't import QtQuick 2.7
  * Reverse TaskManager DragDrop to blacklist Plasma instead of whitelisting URLs
- Remove patches, now upstream:
  * plasma-desktop-run.patch
* Fri Feb 10 2017 fabian@ritter-vogt.de
- Fix build with breeze5-icons >= 5.31
- Fix iconsdir paths
* Thu Feb  9 2017 fabian@ritter-vogt.de
- Add patch to fix regression with security fix (allow running .desktop files
  inside desktop:/, boo#1024446)
  * plasma-desktop-run.patch
* Tue Feb  7 2017 fabian@ritter-vogt.de
- Update to 5.9.1
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.1.php
- Changes since 5.9.0:
  * [Solid Device Actions KCM] Encode action file name
  * [Task Manager] Enable "Mark applications that play audio" option only if plasma-pa is available
  * Fix i18n extraction in Kickoff Buttons
  * Add missing include in sortedactivitiesmodel to fix build with GCC 7
  * Add missing include in sortedactivitiesmodel to fix build with GCC 7
  * Fix i18n extraction: xgettext doesn't recognize single quotes
  * Use consistent default icon in UserManager and Kicker
  * Revamp (Activity) Pager wheel handling
  * [Folder View] Open selection in preferred application instead of running them
  * [Folder View] show script execution prompt when clicking item
  * And maybe don't undo the fix while fixing the fix ...
  * Fix startup warning introduced in 3568d8e4.
  * Fix clearing selection when rectangle selection contains no items.
  * Fix Plasmoid.busy visualization in desktop containment.
  * Call correct function and fix warning.
  * Fix crash and loss of favorites model on refresh with pagination on.
  * Make parts of KCM Touchpad interface translatable (Patch by Victor <victorr2007@narod.ru>)
  * Clip by bounding delegate size instead of Item.clip.
  * fix autotest
- Remove patches, now upstream:
  * 0001-Folder-View-show-script-execution-prompt-when-clicki.patch
  * 0002-Folder-View-Open-selection-in-preferred-application-.patch
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Tue Jan 31 2017 fabian@ritter-vogt.de
- Add patch to fix prompt for executing files in folderview containment:
  * boo#1022904, kde#375793
  * 0001-Folder-View-show-script-execution-prompt-when-clicki.patch
  * 0002-Folder-View-Open-selection-in-preferred-application-.patch
* Thu Jan 26 2017 fabian@ritter-vogt.de
- Update to 5.9.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.0.php
- Changes since 5.8.95:
  * More like systray.
  * [Task Manager] Hide group dialog when opening applets settings
  * Use the systray applet's icon sizing logic to size audio indicators.
  * use KPluginMetaData::readStringList
  * [kcm] Fix reset logic
  * Add missing descriptions on the trashcan and appmenubar plasmoids
  * [Style KCM] Make sure to enable kappmenu kded module
  * Fix loading of translation catalog (thanks to Victor <victorr2007@yandex.ru>)
  * [Task Manager] Vertically center audio indicator for real
  * Fix "Pin" not working with more than one activity.
  * Silence warning.
  * Sync kicker tooltip icon to config setting
  * Follow theme in taskmanager tooltip media controls background
  * [Task Manager] Don't show separator between media controls and "Mute"
  * [Task Manager] Find player if we don't have a PID
  * Use correct loop variable.
  * Don't hardcore reserve size.
  * Fix switching from 'All Applications' to 'Widgets'.
- Remove patch, now upstream:
  * fix-switching-to-widgets.patch
* Fri Jan 13 2017 wbauer@tmo.at
- Only BuildRequire AppStreamQt 0.10.4 where it is available
* Thu Jan 12 2017 fabian@ritter-vogt.de
- Update to 5.8.95 (Plasma 5.9 Beta)
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.95.php
- Changes:
  * See https://www.kde.org/announcements/plasma-5.8.5-5.8.95-changelog.php#plasma-desktop
- Add patch for upstream bugfix:
  * fix-switching-to-widgets.patch
- Remove patches, now upstream:
  * Dont-clear-hover-state-while-a-child-dialog-is-open.patch
  * Fix-right-click-erroneously-opening-files.patch
* Mon Jan  9 2017 wbauer@tmo.at
- Add Fix-right-click-erroneously-opening-files.patch to prevent
  folderview from opening files erroneously in addition to showing
  the context menu when right-clicking on an icon (kde#360219)
* Wed Jan  4 2017 wbauer@tmo.at
- Add Dont-clear-hover-state-while-a-child-dialog-is-open.patch to
  fix a regression in 5.8.5 that prevents one from browsing
  subfolders on the desktop/folderview, the popups would close
  immediately when moving the mouse over them (kde#374291)
* Wed Dec 28 2016 wbauer@tmo.at
- Drop unneeded 0001-Require-xorg-evdev-2.8.99.1.patch
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
* Sat Dec 24 2016 fabian@ritter-vogt.de
- Recommend xf86-input-synaptics, otherwise libinput is used
  for touchpads, which isn't that configurable with the kcm
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
* Thu Nov  3 2016 fabian@ritter-vogt.de
- Introduce new _plasma5_bugfix global for more fine-tuned dependencies
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Wed Oct 12 2016 fabian@ritter-vogt.de
- Merge -kimpanel subpackage into main package (boo#1004093)
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Remove patches (upstream):
    folderviewkjob.patch
    kglobalshortcutseditor-Change-component-shown-on-selection-changes.patch
* Tue Sep 27 2016 wbauer@tmo.at
- Add kglobalshortcutseditor-Change-component-shown-on-selection-changes.patch:
  fixes kglobalshortcutseditor when "double-click to open files/folders"
  is activated in the mouse settings (boo#1001279, kde#368661)
* Sat Sep 24 2016 fabian@ritter-vogt.de
- Add folderviewkjob.patch
  * Use correct parent for folderview context menu actions (boo#1000546)
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Fix self-obsoletion
* Wed Sep 21 2016 wbauer@tmo.at
- Do not Obsolete plasma5-desktop-branding-openSUSE as this is done
  in plasma5-theme-openSUSE, it was ineffective here anyway because
  of the wrong version number
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Use %%{_plasma5_version} again, define it if needed
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Remove patch use-iconName-if-possible.patch
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Sat Aug 27 2016 wbauer@tmo.at
- Don't try to remove kactivities5.po anymore, they have been
  removed upstream
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Fri Aug 26 2016 wbauer@tmo.at
- Add use-iconName-if-possible.patch: adjust the application menu's
  search function to use the iconName if set, and change the
  included runners to set the iconName instead of an icon to
  prevent threading issues and speed up things (boo#994983)
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
- Drop upstreamed patches:
  0001-don-t-create-activities-by-ourselves.patch
  0002-use-desktopsForActivty-currentActivity.patch
  0003-correct-typo.patch
  loop-trough-screens-only-once.patch
* Sat Jul 30 2016 jengelh@inai.de
- Run fdupes to soothe rpmlint
* Fri Jul 29 2016 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-don-t-create-activities-by-ourselves.patch
  0002-use-desktopsForActivty-currentActivity.patch
  and 0003-correct-typo.patch
* Thu Jul 28 2016 hrvoje.senjan@gmail.com
- Added loop-trough-screens-only-once.patch from upstream
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop upstreamed patches:
  100-fix-compile-with-gcc6.diff, fix-opening-recent-docs.patch and
  Cleanup-and-fixup-KConfig-handling-for-componentchooser.patch
* Fri Jun 10 2016 fvogt@suse.com
- Add missing Requires: in branding subpackage (boo#968427)
* Sun May 29 2016 wbauer@tmo.at
- Add Cleanup-and-fixup-KConfig-handling-for-componentchooser.patch
  to fix setting the default browser (boo#931316)
- Add fix-opening-recent-docs.patch to fix opening recent documents
  from the application menu on newer KF5 (boo#982146, kde#363337)
* Tue May 24 2016 lbeltrame@kde.org
- Add 100-fix-compile-with-gcc6.diff from upstream Plasma/5.6 branch
  * Fix compilation with GCC 6 (missing cmath include)
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
- Drop upstreamed and/or obsolete patches:
  use-correct-kf5-var.patch
  Dont-use-Plasma-theme-icons-in-task-icon.patch
  0001-Refactor-kcm-touchpad-to-fix-some-issue-related-to-h.patch
  0002-remove-the-duplicate-m_touchpadOffAtom-member.patch
  0003-use-updateCurrentState-when-touchpadReset-happens.patch
  0001-Emit-PaletteChanged-when-setting-colors-from-look-an.patch
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
- Remove conflicting kactivities5.po
* Tue Mar 15 2016 hrvoje.senjan@gmail.com
- Added use-correct-kf5-var.patch: honour toplist CMakeLists
  requirement for KF5, instead of pulling it in from FindKF5 module
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Update to 5.5.5 (boo#968966)
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.5.php
- Added 0001-Emit-PaletteChanged-when-setting-colors-from-look-an.patch
  (kde#359924)
* Sat Feb 27 2016 hrvoje.senjan@gmail.com
- Added Dont-use-Plasma-theme-icons-in-task-icon.patch (kde#359387)
- Added 0001-Refactor-kcm-touchpad-to-fix-some-issue-related-to-h.patch,
  0002-remove-the-duplicate-m_touchpadOffAtom-member.patch and
  0003-use-updateCurrentState-when-touchpadReset-happens.patch
  trying to fix boo#954215
* Wed Jan 27 2016 nico.kruber@gmail.com
- adapt spec file to Plasma 5.5.4
- Drop upstreamed 0001-fix-font-preview-colors.patch (kde#336089)
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Update to 5.5.4:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.4.php
* Thu Jan 14 2016 hrvoje.senjan@gmail.com
- Add 0001-fix-font-preview-colors.patch (kde#336089)
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Update to 5.5.3:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.3.php
* Mon Jan  4 2016 mlin@suse.com
- Add pkgconfig(xft) and pkgconfig(xi), seems it was affected by
  libcanberra-devel changes too.
* Thu Dec 31 2015 dimstar@opensuse.org
- Replace libcanberra-devel BuildRequires with
  pkgconfig(libcanberra) to align with what cmake is looking for.
- Add pkgconfig(xcursor) BuildRequires: since the reorganisation
  of libcanberra-devel, it no longer pulls in GTK3 (which is
  actually good for plasma, as it does not need GTK3), but this
  also means GTK3 no longer pulls in xcursor, which plasma relies
  on.
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Update to 5.5.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.2.php
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.1.php
- Drop upstreamed fix-migration-of-multiple-favorites.patch
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0:
  * For more details please see:
    https://dot.kde.org/2015/12/08/plasma-55-beautiful-new-artwork
- Move to cmake(...) BuildRequires where possible
* Sat Dec 12 2015 wbauer@tmo.at
- Add fix-migration-of-multiple-favorites.patch: fixes migration of
  kickoff's favorites (kde#356398)
* Mon Nov 16 2015 hrvoje.senjan@gmail.com
- Drop oxygen-icon-theme Requires
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.4.3 (boo#955068):
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.3.php
* Mon Oct 26 2015 hrvoje.senjan@gmail.com
- Provide and Obsolete calendar and akonadi components from
  kdebase4-workspace so upgrades from earlier openSUSE versions
  go smoother
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.2.php
* Wed Sep 16 2015 wbauer@tmo.at
- Require kactivities5-imports, without that the ActivityManager
  doesn't work at all
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.1.php
* Mon Aug 31 2015 tittiatcoke@gmail.com
- Also obsolete the synaptiks package, so that we can install
  correctly on openSUSE:42
* Mon Aug 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.0:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.0.php
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.3.95 aka 5.4 beta:
  This release of Plasma brings many nice touches for our users
  such as much improved high DPI support, KRunner auto-completion
  and many new beautiful Breeze icons. It also lays the ground for
  the future with a tech preview of Wayland session available.
  We're shipping a few new components such as an Audio Volume
  Plasma Widget, monitor calibration tool and the User Manager
  tool comes out beta.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.95.php
- Drop build-kcminput-without-libusb-compat.patch, upstreamed
- Drop pkgconfig(libusb) BuildRequires
- Added  pkgconfig(xkbfile) and xkeyboard-config BuildRequires
- Add kde-user-manager Requires
* Sun Jul 26 2015 hrvoje.senjan@gmail.com
- Re-add 0001-Require-xorg-evdev-2.8.99.1.patch, and reverse it on
  Leap, as the required features are present there, but version of
  xf86-input-evdev isn't bumped
* Thu Jul 23 2015 mlin@suse.com
- Fix those version condition for 42
* Mon Jul  6 2015 hrvoje.senjan@gmail.com
- Added build-kcminput-without-libusb-compat.patch: we need libusb
  only for logitech mouse support, the rest of the kcm can build
  fine w/o it
* Mon Jul  6 2015 stefan.bruens@rwth-aachen.de
- Drop libusb-0.1 BuildRequires, used for Logitech mouse systemsettings
  * it requires forbidden direct device access, see bnc#787063
  * it is one of the last users of the old libusb-0.1 API
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
- Drop 0001-Require-xorg-evdev-2.8.99.1.patch, merged upstream
* Wed Jun 10 2015 hrvoje.senjan@gmail.com
- Use %%version instead of no longer existing %%{_plasma5_branding_version}
  for branding provides/requires
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
- Add pkgconfig(xorg-evdev) BuildRequires
- Add 0001-Require-xorg-evdev-2.8.99.1.patch
* Tue May 19 2015 hrvoje.senjan@gmail.com
- Require ksysguard5, kmenuedit5 and kinfocenter5 instead of recommending
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
- Obsolete kdebase4-workspace and kcm-touchpad for openSUSE > 13.2
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required KF5 version to 5.9.0
- Added kdbusaddons-devel, kdeclarative-devel, kded-devel,
  knotifications-devel,kpeople5-devel, pkgconfig(xorg-server) and
  pkgconfig(xorg-synaptics) BuildRequires
- Added conflict with kcm-touchpad
- Provide and obsolete kcm-touchpad5, it is merged into plasma-desktop
- Drop patches merged upstream:
  0001-extract-UI-messages.patch,
  0003-Reset-current-item-index-when-the-source-model-is-sw.patch,
  0005-Specify-explicit-fallbacks.patch,
  0006-Fix-triggering-items-in-additional-runner-result-col.patch,
  0007-Fix-conflict-with-delegate-keypress-handling.patch,
  0008-Fix-regressions-in-keyboard-based-subdialog-nav.patch,
  0009-Check-for-children.patch,
  0010-Add-icon-fallback-to-the-Recent-Apps-model.patch,
  0011-Fix-crash-when-wrapping-around-the-leftmost-list-sea.patch,
  0001-Jump-into-the-first-column-with-results-when-navigat.patch,
  0002-Skip-over-empty-columns-when-doing-keyboard-nav-betw.patch,
  0003-Fix-check.patch,
  0004-Disable-focus-on-spawn-for-dialogs-opened-by-mouse.patch and
  Let-kcmkded-also-handle-kded-modules-that-use-JSON-metadata.patch
* Thu Apr  2 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-extract-UI-messages.patch,
  0003-Reset-current-item-index-when-the-source-model-is-sw.patch
  (kde#345667),
  0005-Specify-explicit-fallbacks.patch,
  0006-Fix-triggering-items-in-additional-runner-result-col.patch
  (kde#345714),
  0007-Fix-conflict-with-delegate-keypress-handling.patch,
  0008-Fix-regressions-in-keyboard-based-subdialog-nav.patch,
  0009-Check-for-children.patch,
  0010-Add-icon-fallback-to-the-Recent-Apps-model.patch,
  0011-Fix-crash-when-wrapping-around-the-leftmost-list-sea.patch
  (kde#345785),
  0001-Jump-into-the-first-column-with-results-when-navigat.patch
  (kde#345843),
  0002-Skip-over-empty-columns-when-doing-keyboard-nav-betw.patch
  (kde#345843), 0003-Fix-check.patch and
  0004-Disable-focus-on-spawn-for-dialogs-opened-by-mouse.patch
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
- Drop patches merged upstream:
  0001-Fix-the-no-checkbox-being-checked-for-displayText-co.patch,
  0003-Fix-Bug-266760-The-autostart-kcm-doesn-t-show-the-co.patch,
  0004-Fix-double-click.patch,
  0005-Fix-tabbar-not-showing-up-when-switching-to-favorite.patch
  and 0006-Close-config-dialog-when-panel-gets-locked-from-cont.patch
* Mon Mar 16 2015 hrvoje.senjan@gmail.com
- Add explicit kglobalaccel-devel BuildRequires
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  Let-kcmkded-also-handle-kded-modules-that-use-JSON-metadata.patch,
  0001-Fix-the-no-checkbox-being-checked-for-displayText-co.patch
  (kde#344711),
  0003-Fix-Bug-266760-The-autostart-kcm-doesn-t-show-the-co.patch
  (kde#266760),
  0004-Fix-double-click.patch,
  0005-Fix-tabbar-not-showing-up-when-switching-to-favorite.patch
  (kde#343524)
  and 0006-Close-config-dialog-when-panel-gets-locked-from-cont.patch
  (kde#345068)
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
- Drop kde343583.patch, merged upstream
* Mon Feb  9 2015 hrvoje.senjan@gmail.com
- Added kde343583.patch, in order to resolve kde#343583 and workaround
  kde#340691
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
- Bump (Build)Requires of other Plasma 5 components to same version
  as this package
- Drop 0007-Fix-BUG-105797-inappropriate-fontconfig-settings-are.patch,
  merged upstream
- Add boost-devel BuildRequires
- Drop not needed Obsoletes
- Add _constraints to prevent memory exhaustion
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Fix vertical aligment. kde#341229
  * Fix test by removing old test install directory
  * Read/Write ColorScheme to configGroup General instead of KDE
  * Remove KGlobal check and KComponentData object that overrode
    applications KAboutData when showing dialogs.
  * Ignore bottom margin unless view is overflowing.
  * Highlight first entry when searching. kde#340067
  * Fix 'Forget App' in Recent Apps not working immediately.
    kde#341141
  * Set right margin properly. kde#341008
  * Don't duplicate entries when the Rever button is clicked
  * Bouncing cursor is the default
  * Fix installing cursor themes from GHNS
  * Fix crash on Defaults
  * Disable checkbox buddies when unchecked.
  * Yank duplicate group header.
  * X-KDE-Keywords separator is ,
  * Fix regression in event handler causing favorites to launch
    on right-click release.
  * Don't put scripts from ~/.config/autostart in
    autostart kcm list.
  * Don't parse window titles as rich text. kde#340689
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Event compress panel resize when many hints change,
    drastically reduces size dancing (kde#339207, kde#337382)
  * Don't bind the panel size (kde#339207, kde#337382)
  * Resize button doesn't depend from a QAction, kde#339836
  * Fix emptying the trash from the context menu
  * Add a small margin on top panels, kde#339925
  * Handle doesn't not access focus, kde#339851
  * Fix race between delegate construction and layout after
    model resets. kde#339953
  * Make apply button work correctly, kde#339946
  * Close all applets when configuring, kde#337991
  * Raise the tooltip again if it was covered, kde#339848
  * Fix glitching Alternatives dialog, kde#340003
  * Cleanup applet configuration scrollbar handling,
    (kde#336533, kde#337298)
  * Sync tabbar's tab as well, kde#337496
  * Hide the sidebar separator if only one type of sidebar
    item is shown. kde#340041
  * Sort Region items in combobox in KCM Formats, kde#340449
  * Save user dirs to the correct location, kde#340102
  * Backport settings made in the component chooser
    to KDE 4 applications, kde#339967
  * Do not pass ntpUtility as an argument to datetime helper
    (boo#904625, CVE-2014-8651)
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Sat Oct 25 2014 hrvoje.senjan@gmail.com
- Recommend lang subpackage
- Relax dependancies to plasma-framework private parts, and fix
  a blip moment, typo in package name
* Mon Oct 20 2014 hrvoje.senjan@gmail.com
- Move default layouts for desktop and panel to upstream branding
  subpackage, as we'll provide the equivalents in openSUSE branding
- Make sure that upstream branding requires plasma5-workspace
  upstream branding
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
- Hardcode versions of plasma-framework-componets and
  plasma-framework-private packages, as upstream doesn't
  keep backwards compability there
* Wed Oct  1 2014 hrvoje.senjan@gmail.com
- Added 0007-Fix-BUG-105797-inappropriate-fontconfig-settings-are.patch
  from upstream, kde#105797, bnc#768896
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * No changes since previous snapshot
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
- Recommend plasma5-addons, kinfocenter5 and kmenuedit5
* Tue Sep 23 2014 hrvoje.senjan@gmail.com
- Create upstream-branding subpackage, empty for now
- Update to 5.0.95~git20140925 (r277deb5):
  * Honor settings of look-and-feel package (needed for openSUSE
    branding)
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (r3aa8a23):
  * Allow to swap plasmoids via alternatives system
  * Introduction of 'Look and Feel' packages: allows users to change
    outlook of entire desktop in a single place
  * Ported IconTasks plasmoid
  * Various other bugfixes, improvements and cleanups
- Drop sync_settings.diff, merged upstream
- Explicitly Require plasma5-workspace
* Sun Aug 10 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release
- Rebase sync_settings.diff
* Mon Jul 28 2014 hrvoje.senjan@gmail.com
- Adjust BuildRequires depending whether Qt is built with openGL
  or open GL ES2
* Fri Jul 25 2014 hrvoje.senjan@gmail.com
- Mark license as GPL-2.0
* Thu Jul 24 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1~20140724~85baf47 snapshot
* Sat Jul 19 2014 hrvoje.senjan@gmail.com
- Added sync_settings.diff from upstream -- syncs configuration
  done to 5.x applications to 4.x config; concerns icons and style
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
- Drop 68ca607.patch, adjust_componentchooser.diff and
  KFI_stat_namespace.patch, merged upstream
* Fri Jun  6 2014 hrvoje.senjan@gmail.com
- Activate plasma-desktop5 package
